#!/bin/sh
#
VERSION=$1
#
INSTALLDIR=/var/tmp
PLUGINHOME=/usr/lib/enigma2/python/Plugins/Extensions
RCHOME=$PLUGINHOME/WebInterface

cd $RCHOME
if [ -z $VERSION ]; then
echo "Version needs to be passed as argument, cann't do anything"
echo "---------------------------------------------"
exit 1
fi
 
rm $INSTALLDIR/* > /dev/null 2>&1

echo "---------------------------------------------"
echo "Creating RC Installation Kit Version: $VERSION"
echo "---------------------------------------------"

if [ ! -d $INSTDIR ]; then
mkdir $INSTALLDIR
fi
dos2unix $RCHOME/readme_rc.txt
cd /
#tar -cf $INSTALLDIR/rc$VERSION.tar $RCHOME/plugin.py $RCHOME/RemoteControl.py $RCHOME/AddTimer.py $PLUGINHOME/Sleeptimer/*.py $RCHOME/MessageBox.py $RCHOME/makekit.sh /usr/bin/fbshot /usr/bin/control $RCHOME/readme_rc.txt /media/hdd/rc_big.jpg
tar -cf $INSTALLDIR/rc$VERSION.tar $RCHOME/RemoteControl.py $RCHOME/AddTimer.py $PLUGINHOME/Sleeptimer/*.py $RCHOME/MessageBox.py $RCHOME/makekit.sh /usr/bin/fbshot /usr/bin/control $RCHOME/readme_rc.txt /media/hdd/rc_big.jpg
echo " Kit contains "
echo "---------------------------------------------"
tar -tvf $INSTALLDIR/rc$VERSION.tar
echo "---------------------------------------------"
if [ ! -f /usr/bin/bzip2 ]; then
cd /
ipkg install /media/mb/bzip2*
cd $RCHOME
echo "---------------------------------------------"
fi
echo "Copying kit to $INSTALLDIR"
echo "---------------------------------------------"
bzip2 -f $INSTALLDIR/rc$VERSION.tar
ls -1alh $INSTALLDIR/rc$VERSION.tar.*
echo "---------------------------------------------"
cd $RCHOME
exit 0

