# Remote Control by gutemine
# stolen from 3c5x9 ;-)
from twisted.internet import reactor
from twisted.web2 import server, channel, static, resource, stream, http_headers, responsecode, http
from time import sleep

import os
__version__ = "0.9"
class RemoteControl(resource.Resource):
    
    title = "DMM7025 Remote Control by gutemine"
    path2fbshot ="/usr/bin/fbshot"
    path2control ="/usr/bin/control"
    workfile = "/hdd/osdshot.png"
    
    def render(self, req):
        """ rendering server response """
        command = req.args.get("cmd",None)

        html  = "<html><head><title>%s</title></head><body>" %self.title
        html += "<form method=\"GET\">"
        html += "<input type=\"hidden\" name=\"cmd\" value=\"remote\">"
        html += "<select name=\"mode\">"
        html += "<option value=\"0\" selected>osdshot</option>"
        html += "<option value=\"139\" >menu</option>"
        html += "<option value=\"352\" >OK</option>"
        html += "<option value=\"174\" >exit</option>"
        html += "<option value=\"108\" >down</option>"
        html += "<option value=\"103\" >up</option>"
        html += "<option value=\"106\" >right</option>"
        html += "<option value=\"105\" >left</option>"
        html += "<option value=\"11\" >0</option>"
        html += "<option value=\"2\" >1</option>"
        html += "<option value=\"3\" >2</option>"
        html += "<option value=\"4\" >3</option>"
        html += "<option value=\"5\" >4</option>"
        html += "<option value=\"6\" >5</option>"
        html += "<option value=\"7\" >6</option>"
        html += "<option value=\"8\" >7</option>"
        html += "<option value=\"9\" >8</option>"
        html += "<option value=\"10\" >9</option>"
        html += "<option value=\"116\" >Power</option>"
        html += "<option value=\"412\" >previous</option>"
        html += "<option value=\"407\" >next</option>"
        html += "<option value=\"115\" >volume up</option>"
        html += "<option value=\"113\" >mute</option>"
        html += "<option value=\"402\" >bouquet up</option>"
        html += "<option value=\"114\" >volume down</option>"
        html += "<option value=\"403\" >bouquet down</option>"
        html += "<option value=\"358\" >info</option>"
        html += "<option value=\"392\" >audio</option>"
        html += "<option value=\"393\" >video</option>"
        html += "<option value=\"398\" >red</option>"
        html += "<option value=\"399\" >green</option>"
        html += "<option value=\"400\" >yellow</option>"
        html += "<option value=\"401\" >blue</option>"
        html += "<option value=\"377\" >tv</option>"
        html += "<option value=\"385\" >radio</option>"
        html += "<option value=\"388\" >text</option>"
        html += "<option value=\"138\" >help</option>"
        html += "<input type=\"submit\" value=\"Send Command\">"
        html += "<input type=\"reset\" value=\"Reset Command\">"
        html += "</select>"
        html += "</form>"
        html += "<form method=\"GET\">"
        html += "<input type=\"hidden\" name=\"cmd\" value=\"osdshot\">"
        html += "<input type=\"submit\" value=\"Show OSD Screenshot\">"
        html += "</select>"
        html += "</form>"
	html += "<map name=\"remotecontrol\">"
	html += "<area shape=\"circle\" coords=\"129, 54, 10\" href=\"remote?cmd=remote&mode=116\" alt=\"Power\">"
	html += "<area shape=\"circle\" coords=\"72, 95, 15\" href=\"message\" alt=\"Dream message\">"
	html += "<area shape=\"circle\" coords=\"130, 95, 15\" href=\"remote?cmd=osdshot\" alt=\"TV Screenshot\">"
	html += "<area shape=\"circle\" coords=\"63, 123, 10\" href=\"remote?cmd=remote&mode=2\" alt=\"1\">"
	html += "<area shape=\"circle\" coords=\"109, 123, 10\" href=\"remote?cmd=remote&mode=3\" alt=\"2\">"
	html += "<area shape=\"circle\" coords=\"153, 123, 10\" href=\"remote?cmd=remote&mode=4\" alt=\"3\">"
	html += "<area shape=\"circle\" coords=\"63, 148, 10\" href=\"remote?cmd=remote&mode=5\" alt=\"4\">"
	html += "<area shape=\"circle\" coords=\"109, 148, 10\" href=\"remote?cmd=remote&mode=6\" alt=\"5\">"
	html += "<area shape=\"circle\" coords=\"153, 148, 10\" href=\"remote?cmd=remote&mode=7\" alt=\"6\">"
	html += "<area shape=\"circle\" coords=\"63, 173, 10\" href=\"remote?cmd=remote&mode=8\" alt=\"7\">"
	html += "<area shape=\"circle\" coords=\"109, 173, 10\" href=\"remote?cmd=remote&mode=9\" alt=\"8\">"
	html += "<area shape=\"circle\" coords=\"153, 173, 10\" href=\"remote?cmd=remote&mode=10\" alt=\"9\">"
	html += "<area shape=\"circle\" coords=\"63, 197, 10\" href=\"remote?cmd=remote&mode=412\" alt=\"previous\">"
	html += "<area shape=\"circle\" coords=\"109, 197, 10\" href=\"remote?cmd=remote&mode=11\" alt=\"0\">"
	html += "<area shape=\"circle\" coords=\"153, 197, 10\" href=\"remote?cmd=remote&mode=407\" alt=\"next\">"
	html += "<area shape=\"circle\" coords=\"54, 243, 15\" href=\"remote?cmd=remote&mode=115\" alt=\"volume up\">"
	html += "<area shape=\"circle\" coords=\"107, 233, 10\" href=\"remote?cmd=remote&mode=113\" alt=\"mute\">"
	html += "<area shape=\"circle\" coords=\"159, 243, 15\" href=\"remote?cmd=remote&mode=402\" alt=\"bouquet up\">"
	html += "<area shape=\"circle\" coords=\"66, 274, 15\" href=\"remote?cmd=remote&mode=114\" alt=\"volume down\">"
	html += "<area shape=\"circle\" coords=\"107, 258, 10\" href=\"remote?cmd=remote&mode=174\" alt=\"lame\">"
	html += "<area shape=\"circle\" coords=\"147, 274, 15\" href=\"remote?cmd=remote&mode=403\" alt=\"bouquet down\">"
	html += "<area shape=\"circle\" coords=\"48, 306, 10\" href=\"remote?cmd=remote&mode=358\" alt=\"info\">"
	html += "<area shape=\"circle\" coords=\"106, 310, 15\" href=\"remote?cmd=remote&mode=103\" alt=\"up\">"
	html += "<area shape=\"circle\" coords=\"167, 306, 10\" href=\"remote?cmd=remote&mode=139\" alt=\"menu\">"
	html += "<area shape=\"circle\" coords=\"70, 343, 15\" href=\"remote?cmd=remote&mode=105\" alt=\"left\">"
    	html += "<area shape=\"circle\" coords=\"108, 340, 15\" href=\"remote?cmd=remote&mode=352\" alt=\"OK\">"
	html += "<area shape=\"circle\" coords=\"146, 343, 15\" href=\"remote?cmd=remote&mode=106\" alt=\"right\">"
	html += "<area shape=\"circle\" coords=\"53, 381, 10\" href=\"remote?cmd=remote&mode=392\" alt=\"audio\">"
	html += "<area shape=\"circle\" coords=\"106, 374, 15\" href=\"remote?cmd=remote&mode=108\" alt=\"down\">"
	html += "<area shape=\"circle\" coords=\"162, 381, 10\" href=\"remote?cmd=remote&mode=393\" alt=\"video\">"
	html += "<area shape=\"circle\" coords=\"56, 421, 10\" href=\"remote?cmd=remote&mode=398\" alt=\"red\">"
	html += "<area shape=\"circle\" coords=\"90, 422, 10\" href=\"remote?cmd=remote&mode=399\" alt=\"green\">"
	html += "<area shape=\"circle\" coords=\"123, 422, 10\" href=\"remote?cmd=remote&mode=400\" alt=\"yellow\">"
	html += "<area shape=\"circle\" coords=\"158, 421, 10\" href=\"remote?cmd=remote&mode=401\" alt=\"blue\">"
	html += "<area shape=\"circle\" coords=\"61, 460, 10\" href=\"remote?cmd=remote&mode=377\" alt=\"tv\">"
	html += "<area shape=\"circle\" coords=\"90, 461, 10\" href=\"remote?cmd=remote&mode=385\" alt=\"radio\">"
	html += "<area shape=\"circle\" coords=\"123, 461, 10\" href=\"remote?cmd=remote&mode=388\" alt=\"text\">"
	html += "<area shape=\"circle\" coords=\"153, 460, 10\" href=\"remote?cmd=remote&mode=138\" alt=\"help\">"
        html += "</map>"
	html += "<img src=\"/hdd/rc_big.jpg\" height=\"607\" width=\"220\" border=\"0\" alt=\"Remote Control\" usemap=\"#remotecontrol\">"
        html += "</body>"
        html += "</html>"

        if command is None:
            return http.Response(responsecode.OK, {'Content-type': http_headers.MimeType('text', 'html')},stream=html)
        
        elif command[0] == "remote":
            mode = int(req.args.get("mode","0")[0])
            self.control(mode)
            return http.Response(responsecode.OK, {'Content-type': http_headers.MimeType('text', 'html')},stream=html)

        elif command[0] == "remotecontrol":
            mode = int(req.args.get("mode","0")[0])
            self.control(mode)
            return http.Response(responsecode.OK, {'Content-type': http_headers.MimeType('text', 'html')},stream=html)

        elif command[0] == "osdshot":
            cmdstr = "%s %s" %(self.path2fbshot,self.workfile)
            os.system(cmdstr)
            picture = self.getPicture()
            if picture is False:
                text = "could not grab the image"
                return http.Response(responsecode.OK, {'Content-type': http_headers.MimeType('text', 'html')},stream=text)
            else:
                self.removePicture()
                return http.Response(responsecode.OK, {'Content-type': http_headers.MimeType('image', 'bmp')},stream=picture)
        else:
            html  = "<html><head><title>%s</title></head><body>" %self.title
            html += "unknown command %s"%command
            html += "</body></html>"
            return http.Response(responsecode.OK, {'Content-type': http_headers.MimeType('text', 'html')},stream=html)
                
    def control(self,type=0):
        cmdstr = "%s %s" %(self.path2control,type)
        return os.system(cmdstr)

    def getPicture(self):
        """ reading the picture from file to string and returning the string """
        try:
            f=open(self.workfile, 'r')
            picture = f.read()
            return picture
        except IOError:
            return False    
        
    def removePicture(self):
        """ removing grabbed picture """
        try:
            os.remove(self.workfile)
        except IOError:
            return False


